> ## Documentation Index
> Fetch the complete documentation index at: https://futureagi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Evals List

> Retrieves a list of evaluations for a given dataset, with options for filtering and ordering.



## OpenAPI

````yaml /openapi.json get /model-hub/eval-groups/get_evals_list/
openapi: 3.0.0
info:
  title: FutureAGI Unified API
  version: 1.0.0
  description: >-
    Complete API documentation for FutureAGI platform - Simulate module
    (scenario management, agent definitions, test executions, call analytics)
    and Model Hub Evaluations API (evaluation templates, playgrounds, metrics,
    and execution tracking)
  contact:
    email: support@futureagi.com
servers:
  - url: https://api.futureagi.com
    description: Production API
security: []
tags:
  - name: Health
    description: Health check operations for monitoring server status
  - name: Authentication
    description: User authentication and token management
  - name: Scenarios
    description: Test scenario management and execution
  - name: Agent Definitions
    description: Agent definition CRUD operations
  - name: Agent Versions
    description: Agent version control and management
  - name: Simulator Agents
    description: Simulator agent operations
  - name: Run Tests
    description: Test execution management
  - name: Test Executions
    description: Test execution tracking and analytics
  - name: Call Executions
    description: Individual call execution details
  - name: Call Transcripts
    description: Transcript management and retrieval
  - name: Personas
    description: Persona management for testing
  - name: Analytics
    description: Analytics and reporting
  - name: Export Simulate
    description: Data export operations
  - name: Datasets
    description: >-
      Operations related to datasets, including creation, modification, and data
      management.
  - name: Eval Groups
    description: Evaluation group management
  - name: Eval Templates
    description: Base evaluation template operations
  - name: Custom Eval Templates
    description: Custom evaluation template CRUD operations
  - name: Eval Playground
    description: Test and run evaluations in playground environment
  - name: Eval Logs & Metrics
    description: Evaluation logs, metrics, and execution tracking
  - name: Eval Configuration
    description: Evaluation configuration and templates retrieval
  - name: API Keys
    description: API key management
  - name: Prompt Workbench
    description: Prompt template version labeling and lookup by name, version, or label
paths:
  /model-hub/eval-groups/get_evals_list/:
    get:
      tags:
        - Evals List
      summary: Get Evals List
      description: >-
        Retrieves a list of evaluations for a given dataset, with options for
        filtering and ordering.
      operationId: getEvalsList
      parameters:
        - name: dataset_id
          in: path
          required: true
          description: The UUID of the dataset for which to retrieve the evaluations.
          schema:
            type: string
            format: uuid
        - name: search_text
          in: query
          required: false
          description: Text to search for in the evaluation names.
          schema:
            type: string
      responses:
        '200':
          description: A list of evaluations and recommendations.
          content:
            application/json:
              schema:
                type: object
                properties:
                  evals:
                    type: array
                    items:
                      $ref: '#/components/schemas/EvaluationItem'
                  eval_recommendations:
                    type: array
                    items:
                      type: string
                    description: A list of recommended evaluation categories.
              example:
                evals:
                  - id: <eval_id>
                    name: <eval_name>
                    eval_template_name: <eval_template_name>
                    eval_required_keys:
                      - <eval_required_key1>
                      - <eval_required_key2>
                    eval_template_tags:
                      - <eval_template_tag1>
                      - <eval_template_tag2>
                    description: <eval_description>
                    is_model_required: false
                    type: <eval_type>
                eval_recommendations:
                  - <eval_recommendation1>
                  - <eval_recommendation2>
        '400':
          description: >-
            Bad Request. Invalid parameters provided, such as a non-existent
            experiment ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: >-
            Unauthorized. Authentication credentials were not provided or are
            invalid.
        '404':
          description: Not Found. The requested dataset does not exist.
        '500':
          description: >-
            Internal Server Error. An unexpected error occurred while fetching
            the evaluations list.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ApiKeyAuth: []
          SecretKeyAuth: []
components:
  schemas:
    EvaluationItem:
      type: object
      description: Represents a single evaluation item in the list.
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier for the evaluation.
        name:
          type: string
          description: The display name of the evaluation.
        eval_template_name:
          type: string
          description: The name of the underlying evaluation template.
        template_name:
          type: string
          description: The name of the template (used for user evals).
        eval_required_keys:
          type: array
          items:
            type: string
          description: A list of input keys required by the evaluation.
        eval_template_tags:
          type: array
          items:
            type: string
          description: Tags associated with the evaluation template.
        description:
          type: string
          description: A description of what the evaluation does.
        is_model_required:
          type: boolean
          description: Indicates if a model is required to run this evaluation.
        type:
          type: string
          description: The type of the evaluation.
          enum:
            - futureagi_built
            - user_built
        model:
          type: string
          description: The model associated with the evaluation, if any.
        column_id:
          type: string
          format: uuid
          description: The ID of the column associated with a user evaluation.
        updated_at:
          type: string
          format: date-time
          description: The timestamp of the last update.
        eval_group:
          type: string
          description: The name of the evaluation group, if any.
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        API Key for authentication. Click
        [here](https://app.futureagi.com/dashboard/keys) to access API Key
    SecretKeyAuth:
      type: apiKey
      in: header
      name: X-Secret-Key
      description: >-
        Secret Key for authentication. Click
        [here](https://app.futureagi.com/dashboard/keys) to access Secret Key

````